---
title: options
---
<alert type="info">
This prop can be passed to both

- `VOnboardingWrapper`
- `VOnboardingStep`

You can override `VOnboardingWrapper`'s options by passing options to `VOnboardingStep`
</alert>

---
**Default value**

```js
{
  popper: {},
  disableOverlay: false,
  scrollToStep: {
    enabled: true,
    options: {
      behavior: 'smooth',
      block: 'center',
      inline: 'center'
    }
  }
}
```
---
| Name | Type | Default |
| :-------- | :-------- | :-------- |
| `popper` | [PopperJS options](https://popper.js.org/docs/v2/constructors/#options) | `{}` |
| `disableOverlay` | Boolean | `false` |
| `scrollToStep` | | |
| `scrollToStep.enabled` | Boolean | `true` |
| `scrollToStep.options` | [Scroll Into View Options](https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoView) | `{ behavior: 'smooth', block: 'center', inline: 'center'    }` |














